
[![Build Status](https://cicd.apps.glenux.net/api/badges/glenux-opencontainers/service-nextcloud/status.svg)](https://cicd.apps.glenux.net/glenux-opencontainers/service-nextcloud)

# Glenux OpenContainers : Service Nextcloud

## Dokku storage mounts

    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/apps:/var/www/html/apps
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/config:/var/www/html/config
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/data:/var/www/html/data

# Process

1. commit 
2. push to git repo
3. run CI/CD
   * build image
   * push image to local registry
4. 

ssh dokku@buddha-apps.boldcode.io app-json:set cloud appjson-path /app/app.json #  glenux/service-nextcloud:latest

Run after install

    # FIXME: config:global:set --value '/Shared' share_folder

    # set file lock timeout
    ./occ config:app:set files_lock lock_timeout --value '30' 

    # set file chunk size
    ./occ config:app:set files max_chunk_size --value 20971520

    # set maintenance window
    ./occ config:system:set maintenance_window_start --type=integer --value=1


Add this in crontab

    dokku enter cloud web su -l -s /bin/bash - www-data -c "cd html && php -dmemory_limit=-1 ./occ app:update --all"

dokku nginx:set cloud client-max-body-size 500m
